HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Delete an Account Tariff with {accountId}

Delete an account tariff using the Arcadia-generated accountId.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Delete an account tariff using the Arcadia-generated accountId.

Use this endpoint when you store and reference the Arcadia accountId for an account. To delete an account tariff using your own account identifier, use Delete Account Tariff with providerAccountId.

If the account has multiple tariffs, pass effectiveDate to identify which tariff entry to delete.

Resource URI

DELETE /rest/v1/accounts/{accountId}/tariffs

Path parameters

ParameterTypeDescription
accountIdStringArcadia UUID of the Account object. Required.

Query parameters

ParameterTypeDescription
effectiveDateDateEffective date of the account tariff to delete. Required when multiple tariffs are set on the account.

For the full data model, account tariff workflow, tariff assignment behavior, and detailed examples, see Account Tariffs API.

Example

DELETE /rest/v1/accounts/1c06e306-bbb0-473a-973c-93d947f0761b/tariffs?effectiveDate=2012-12-01

A successful response returns a standard response payload with type set to Tariff and results containing the deleted account tariff.

{
  "status": "success",
  "count": 1,
  "type": "Tariff",
  "results": [
    {
      "masterTariffId": 522,
      "customerLikelihood": 100,
      "endDate": null,
      "timeZone": "America/Los_Angeles",
      "billingPeriod": "MONTHLY",
      "currency": "USD"
    }
  ]
}
Path Params
string
required

This is the Arcadia UUID of the Account object.

Query Params
date

The date the tariff is effective for the account. If multiple tariffs are set on the account, each must have the effective date set.

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json